Subject: Re: bug#13424: Mac OSX - font rendering in Emacs 24.3 looks like bitmaps

From: Jan Djärv <[email-masked]>
Date: Sun, 13 Jan 2013 14:36:00 +0100

Hello.

13 jan 2013 kl. 03:08 skrev Sudhir Shenoy <[email-masked]>:

> Hi,
> 
> In the trunk of Emacs 24.3, I cannot seem to get anti-aliased font rendering. I've tried customizing, etc. but nothing seems to work. Is this a known problem and if so, is there a fix?
> 
> I've attached a screenshot of 24.3 and 24.3 side by side to illustrate what I am talking about.

I assume you mean something else than "24.3 and 24.3"?  There is no "trunk of 24.3", it is just the trunk or the emacs-24 branch or a released version.  Not sure what versions you mean here.

Anyway, both your versions are antialiased as is plainly seen if you zoom in on a character so you see the individual pixels.  I suspect one of them is not LCD-smoothed though.  See bug 11484 (http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11484).

If another workaround for that bug can be found, smoothing will be turned back on.

Closing, as this is not a bug.

Thanks,

	Jan D.